FXSTEST(8)

NAME
fxstest - Simple tests for DAHDI FXS adapters

SYNOPSIS
fxstest /dev/dahdi/N comand

DESCRIPTION
fxstest can be used to issue one of a number simple tests to FXS adapters (analog adapters intended to connect phones).

OPTIONS
All of those tests operate on a single dahdi channel which has to be an FXS port, and must not be in use by Asterisk or any other program. The command has two mandatory parameters. The first parameter is the device file to operate on. It is typically /dev/dahdi/NN , a device file under /dev/dahdi . The second parameter is the name of the command to run on that channel: stats
    Reports voltages
regdump
    Dumps ProSLIC registers
tones
    Plays a series of tones
polarity
    Requests channel to reverse polarity.
ring
    Rings phone

SEE ALSO

dahdi_tool(8), dahdi_cfg(8), dahdi_monitor(8), asterisk(8).

BUGS
Does not allow testing channels beyond 249. Should support opening channels through /dev/dahdi/channel .

AUTHOR

This manual page was written by Tzafrir Cohen <tzafrir.cohen@xorcom.com> . Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.